org.apache.solr.client.solrj.io.eval

## Class Matrix

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.Matrix

All Implemented Interfaces:
  Iterable, Attributes

    public class Matrix
    extends Object
    implements Iterable, Attributes

### Constructor Summary

Constructors
Constructor and Description
`Matrix(double[][] data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getAttribute(String key)`
`Map` `getAttributes()`
`int` `getColumnCount()`
`List<String>` `getColumnLabels()`
`double[][]` `getData()`
`int` `getRowCount()`
`List<String>` `getRowLabels()`
`Iterator` `iterator()`
`void` `setAttribute(String key, Object value)`
`void` `setColumnLabels(List<String> columnLabels)`
`void` `setRowLabels(List<String> rowLables)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### Matrix

    public Matrix(double[][] data)

### Method Detail

#### getAttributes

    public Map getAttributes()

Specified by:
  `getAttributes` in interface `Attributes`

#### setAttribute

    public void setAttribute(String key,
                             Object value)

Specified by:
  `setAttribute` in interface `Attributes`

#### getAttribute

    public Object getAttribute(String key)

Specified by:
  `getAttribute` in interface `Attributes`

#### getColumnLabels

    public List<String> getColumnLabels()

#### setColumnLabels

    public void setColumnLabels(List<String> columnLabels)

#### getRowLabels

    public List<String> getRowLabels()

#### setRowLabels

    public void setRowLabels(List<String> rowLables)

#### getData

    public double[][] getData()

#### getRowCount

    public int getRowCount()

#### getColumnCount

    public int getColumnCount()

#### iterator

    public Iterator iterator()

Specified by:
  `iterator` in interface `Iterable`